<?php
namespace FiloBlu\ScratchAndQuiz\Block\Adminhtml\ScratchAndQuiz\Grid\Renderer\Image;

use Magento\Backend\Block\Widget\Grid\Column\Renderer\AbstractRenderer;
use Magento\Framework\DataObject;
use Magento\Store\Model\StoreManagerInterface;

class Image extends AbstractRenderer
{
    private $_storeManager;
    /**
     * @param \Magento\Backend\Block\Context $context
     * @param array $data
     */
    public function __construct(\Magento\Backend\Block\Context $context, StoreManagerInterface $storemanager, array $data = [])
    {
        $this->_storeManager = $storemanager;
        parent::__construct($context, $data);
        $this->_authorization = $context->getAuthorization();
    }
    /**
     * Renders grid column
     *
     * @param Object $row
     * @return  string
     */
    public function render(DataObject $row)
    {
        if ($this->_getValue($row)) {
            $mediaDirectory = $this->_storeManager->getStore()->getBaseUrl(
                \Magento\Framework\UrlInterface::URL_TYPE_MEDIA
            );
            $imageUrl = $mediaDirectory.'/filoblu/scratchandquiz'.$this->_getValue($row);
            return '<img src="'.$imageUrl.'" width="200" title="'. $this->_getValue($row) . '" alt="'. $this->_getValue($row) . '" "/>';
        }
        else {
            return '';
        }
    }
}