<?php

namespace FiloBlu\ScratchAndQuiz\Block;

use Magento\Framework\DataObject\IdentityInterface;
use Magento\Framework\View\Element\Template;

class ScratchAndQuiz extends Template implements IdentityInterface {

    protected $_scratchAndQuiz;
    
    public function __construct(
        \FiloBlu\ScratchAndQuiz\Model\ScratchAndQuizFactory $scratchAndQuiz,         
        \Magento\Framework\View\Element\Template\Context $context, 
        array $data = []
    ) {
        $this->_scratchAndQuiz = $scratchAndQuiz;

        parent::__construct($context, $data);
    }

    public function getScratchAndQuiz() {

        if (!$this->getScratchAndQuizEntity() && $this->getCode()) {
            $this->setScratchAndQuizEntity($this->_scratchAndQuiz->create()->getScratchAndQuizByCode($this->getCode()));
        }
        return $this->getScratchAndQuizEntity();
    }
    
    public function getScratchAndQuizDetails() {                
        return $this->_scratchAndQuiz->create()->getScratchAndQuizDetails($this->getScratchAndQuiz()->getId());
    }

    protected function _toHtml() {

        $scratchandquiz = $this->getScratchAndQuiz();
        
        if (!$scratchandquiz) {
            return "";
        }

        if($scratchandquiz->getCode()) {
            $this->setTemplate('FiloBlu_ScratchAndQuiz::scratchandquiz/scratchandquiz_' . $scratchandquiz->getCode() . '.phtml');
        }
        
        if (!$this->getTemplateFile()) {
            $this->setTemplate('FiloBlu_ScratchAndQuiz::scratchandquiz/scratchandquiz.phtml');
        }

        return parent::_toHtml();
    }

    public function getIdentities()
    {
        if ($this->getScratchAndQuiz() && $this->getScratchAndQuiz()->getId()) {            
            return [\FiloBlu\ScratchAndQuiz\Model\ScratchAndQuiz::CACHE_TAG . '_' . $this->getScratchAndQuiz()->getId()];
        } else {
            return [];
        }

    }

    public function getCacheKeyInfo()
    {
        if ($this->getScratchAndQuiz() && $this->getScratchAndQuiz()->getId()) {
            return [
                \FiloBlu\ScratchAndQuiz\Model\ScratchAndQuiz::CACHE_TAG,
                'scratchandquiz_' . $this->getScratchAndQuiz()->getId(),
                'store_' . $this->_storeManager->getStore()->getId(),
            ];
        } else {
            return [];
        }
    }

    public function getCacheLifetime()
    {
        return 86400;
    }

}
