<?php
namespace FiloBlu\ScratchAndQuiz\Model\Config\Source;

class ScratchAndQuiz implements \Magento\Framework\Option\ArrayInterface
{

    protected $_collectionFactory;
    protected $_escaper;
    
    public function __construct(
        \FiloBlu\ScratchAndQuiz\Model\ResourceModel\ScratchAndQuiz\CollectionFactory $collectionFactory, 
        \Magento\Framework\Escaper $escaper
    ) {
        $this->_collectionFactory = $collectionFactory;
        $this->_escaper = $escaper;
    }
    
    /**
     * @return array
     */
    public function toOptionArray($default = false)
    {
        $collection = $this->_collectionFactory->create();
        $array = [];
        
        if ($default) {
            $array[] = [
                'label' => __('All ScratchAndQuiz'),
                'value' => 0
            ];
        }
        
        foreach ($collection as $scratchandquiz) {
            $array[] = [
                'label' => $this->_escaper->escapeQuote($scratchandquiz->getId() . ' - ' . $scratchandquiz->getCode(), true),
                'value' => $scratchandquiz->getCode()
            ];
        }
        
        return $array;
    }
    
}
