<?php

namespace FiloBlu\ScratchAndQuiz\Model;

class ScratchAndQuizDetailsTranslations extends \Magento\Framework\Model\AbstractModel {

    const CACHE_TAG = 'fb_scratchandquiz';

    protected $_cacheTag = self::CACHE_TAG;

    protected $_scratchAndQuizDetails;

    public function __construct(
            \Magento\Framework\Model\Context $context,
            \Magento\Framework\Registry $registry,
            \FiloBlu\ScratchAndQuiz\Model\ScratchAndQuizDetailsFactory $scratchAndQuizDetails,         
            \Magento\Framework\Model\ResourceModel\AbstractResource $resource = null,
            \Magento\Framework\Data\Collection\AbstractDb $resourceCollection = null,
            array $data = []
    ) {
        $this->_scratchAndQuizDetails = $scratchAndQuizDetails;

        parent::__construct($context, $registry, $resource, $resourceCollection, $data);
    }

    /**
     * Initialize resource model
     *
     * @return void
     */
    protected function _construct() {
        $this->_init('FiloBlu\ScratchAndQuiz\Model\ResourceModel\ScratchAndQuizDetailsTranslations');
    }

    public function loadByParentAndStoreId($parentId,$storeId)
    {
        $result = $this->getResource()->loadByParentAndStoreId($parentId,$storeId);

        if ($result) {
            $this->addData($result);            
        }

        $this->_cacheTag = $this->_scratchAndQuizDetails->create()->getScratchAndQuizIdRelations($parentId);
        
        return $this;
    }

}
